# Jeu de belote

Jeu de belote en ligne basé sur flask et socket.io.

Ce dépôt est sous licence GPL v3. Voir [le texte de la licence en ligne](https://www.gnu.org/licenses/gpl-3.0.html).

## Installation

 1. Créer un environnement virtuel `venv` (`python3 -m venv venv`)
 2. Activer l'environnement virtuel (`. venv/bin/activate`)
 3. Installer les prérequis (`pip install -r requirements.txt`)
 4. Vous pouvez démarrer le serveur `python belote.py` !

## Crédits et remerciements

 * Cartes : Inspiré de SVG-cards par David Bellot <david.bellot@free.fr>
 * Design : Camille Viallon

## Principe

 * `belote.py` définit les routes
 * `db.py` gère le jeu et l'enregistrement en base de donnée
 * `belote_ws.py` gère l'interactivité (avec des websockets)
 * Le dossier `templates` contient les template jinja2 pour le rendu web
 * Le dossier `static` contient les scripts, images et feuilles de style
